OnePassRealValueDataIndexer (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.ml.model

## Class OnePassRealValueDataIndexer

- java.lang.Object
- - opennlp.tools.ml.model.AbstractDataIndexer
  - - opennlp.tools.ml.model.OnePassDataIndexer
    - - opennlp.tools.ml.model.OnePassRealValueDataIndexer

- All Implemented Interfaces:
    DataIndexer

      public class OnePassRealValueDataIndexer
      extends OnePassDataIndexer

  An indexer for maxent model data which handles cutoffs for uncommon contextual predicates and provides a unique integer index for each of the predicates and maintains event values.

- - ### Field Summary

    - ### Fields inherited from class opennlp.tools.ml.model.AbstractDataIndexer

      `CUTOFF_DEFAULT, CUTOFF_PARAM, SORT_DEFAULT, SORT_PARAM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnePassRealValueDataIndexer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float[][]` | `getValues()` Returns the values associated with each event context or null if integer values are to be used.

    - ### Methods inherited from class opennlp.tools.ml.model.OnePassDataIndexer

      `index`

    - ### Methods inherited from class opennlp.tools.ml.model.AbstractDataIndexer

      `getContexts, getNumEvents, getNumTimesEventsSeen, getOutcomeLabels, getOutcomeList, getPredCounts, getPredLabels, init`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OnePassRealValueDataIndexer

          public OnePassRealValueDataIndexer()

  - ### Method Detail

    - #### getValues

          public float[][] getValues()

      Description copied from interface: `DataIndexer`
      Returns the values associated with each event context or null if integer values are to be used.
      Specified by:
        `getValues` in interface `DataIndexer`
      Overrides:
        `getValues` in class `AbstractDataIndexer`
      Returns:
        the values associated with each event context.

Copyright © 2026 The Apache Software Foundation. All rights reserved.